1. Regimes
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
        GET
      • List Regimes
        GET
    • Years
      • Show Year
      • List Years
  1. Regimes

List Regimes

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/regimes
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/regimes' --request GET --header 'Authorization: Bearer {{TOKEN}}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://platform.esginvest.com/api/external/corporate/regimes' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 10,
        "name": "IFRS S1 ESG Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 10
        }
    },
    {
        "id": 46,
        "name": "Master ESG Indicators",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 46
        }
    },
    {
        "id": 12,
        "name": "IFRS S2 ESG Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 12
        }
    },
    {
        "id": 11,
        "name": "GRI ESG Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 11
        }
    },
    {
        "id": 14,
        "name": "Monthly Metrics",
        "is_unified": false,
        "is_monthly": true,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 14
        }
    },
    {
        "id": 15,
        "name": "Master Template",
        "is_unified": true,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 15
        }
    },
    {
        "id": 17,
        "name": "MSX Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 17
        }
    },
    {
        "id": 19,
        "name": "SASB Water Utilities Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": false,
        "pivot": {
            "company_id": 156,
            "regime_id": 19
        }
    },
    {
        "id": 20,
        "name": "Vodafone Metrics",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": true,
        "pivot": {
            "company_id": 156,
            "regime_id": 20
        }
    },
    {
        "id": 33,
        "name": "Vision Invest KPI's",
        "is_unified": false,
        "is_monthly": false,
        "is_custom": false,
        "is_private": true,
        "pivot": {
            "company_id": 156,
            "regime_id": 33
        }
    }
]
Modified at 2026-03-30 01:20:00
Previous
Show Regime
Next
Show Year
Built with